#!/bin/bash

hash git >/dev/null 2>&1 || { printf "This requires git installed\n"; exit 1; }

git clone --depth=1 https://bitbucket.org/archlabslinux/installer

printf "\nRoot access is needed to continue\n\n"

sudo mkdir -pv /usr/share/archlabs/installer/{lang,docs}

sudo cp -fv installer/src/archlabs-installer /usr/bin/
sudo cp -fv installer/src/packages.txt       /usr/share/archlabs/installer/
sudo cp -fv installer/lang/*.trans           /usr/share/archlabs/installer/lang/
sudo cp -fv installer/{LICENSE,README.md}    /usr/share/archlabs/installer/docs/

printf "\nInstall complete\n"
